// WinApp.h RHS 4/15/92

#if !defined(WINAPP_H)
#define WINAPP_H

#include<windows.h>

class WinApp
    {
    HINSTANCE   hInstance;
    HINSTANCE   hPrevInstance;
    LPSTR       lpCmdLine;
    int         nCmdShow;

public:
    WinApp(void)        // constructor -- initializes data members
        {
        hInstance = hPrevInstance = 0;
        lpCmdLine = NULL;
        nCmdShow = 0;
        }
    ~WinApp(){}         // virtual destructor, allows overriding
                        // functions to access data members
    HINSTANCE   Instance(void)      {   return  hInstance;      }
    HINSTANCE   PrevInstance(void)  {   return  hPrevInstance;  }
    LPSTR       CmdLine(void)       {   return  lpCmdLine;      }
    int         CmdShow(void)       {   return  nCmdShow;       }

    void Init(HINSTANCE hInst,HINSTANCE hPrev,LPSTR cmdLine,int cmdShow)
        {
        hInstance = hInst;
        hPrevInstance = hPrev;
        lpCmdLine = cmdLine;
        nCmdShow = cmdShow;
        }
    };
#endif


